//-------------------------------------------------------------------------------
// common.h
//-------------------------------------------------------------------------------

#if !defined(__COMMON)
#define __COMMON

//C^v^̃o[W
#define VERSION "00_00_07_10"

#include <stdio.h>
//#include <string.h>
#include <stdlib.h>
#include <time.h>

#ifdef _WIN32 //gݍ݃}NɂVCG++̐؂蕪
	//Windows
	#include <conio.h>
	#include <windows.h>
	#pragma warning( disable : 4786 )
	#pragma warning( disable : 4996 )
	#pragma warning( disable : 4706 )
	#pragma warning( disable : 4127 )

#else
	//Linux
	#include <termios.h>
	#include <fcntl.h>
	
	#define Sleep(x) usleep(1000*x)
	
#endif

//obt@̃TCY
#define MAX_STR_LEN (0x2000)
#define EOF			(-1)


//R[h̐؂ւ
#if defined _WIN32
	//Windows
	//SHIFT_JISLɂ
	#define SHIFT_JIS
#elif defined __CYGWIN__
	//Windows + Cygwin
	//SHIFT_JISLɂ
	#define SHIFT_JIS
#else
	//Linux
#endif


//s̐؂ւ
#if defined _WIN32
	//Windows
	#define OUTSTRING "%s\r\n"
#elif defined __CYGWIN__
	//Windows + Cygwin
	#define OUTSTRING "%s\r\n"
#else
	//Linux
	#define OUTSTRING "%s\n"
#endif



extern unsigned int interlope;

void setError(const char*str);
void _strcpy(char*a,const char*b);
char*_strstr(const char*a,const char*b);
char*_strstr2(const char*a,const char*b);
void trim_a(char*str);
void trim_a(char*str,char c);
void trim_r(char*str);
void trim_l(char*str);
void trim_c(char*str);
void trim_rl(char*str);
void trim_rlc(char*str);
int count_c(const char*str,const char c);
char*_strchop(char*str,const char c);
char*replace(char*buff,char*str,const char*a,const char*b);
char*match(const char *pat,const char *str,int*len);
void instcpy(char*out,const char*in);
void shell(char*str);

void nonblock_start();
int _getchar();
void nonblock_end();
unsigned char getHex2(const char*str);
void reverse(char*str);
void format(char*buf,char*str1,char*str2);
char*cut_func(char*str);
void default_func(char*defstr,const char*str);

#endif
//-------------------------------------------------------------------------------
